Package com.zaxxer.hikari.metrics

## Class MetricsTracker

- java.lang.Object
- - com.zaxxer.hikari.metrics.MetricsTracker

All Implemented Interfaces:
  `IMetricsTracker`, `java.lang.AutoCloseable`

    @Deprecated
    public class MetricsTracker
    extends java.lang.Object
    implements IMetricsTracker

Deprecated.
This class only supports realtime, not historical metrics.

Author:
  Brett Wooldridge

### Constructor Summary

Constructors
`MetricsTracker()` Deprecated.

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.zaxxer.hikari.metrics.IMetricsTracker

`close, recordConnectionAcquiredNanos, recordConnectionCreatedMillis, recordConnectionTimeout, recordConnectionUsageMillis`

### Constructor Detail

#### MetricsTracker

    public MetricsTracker()

Deprecated.